Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.rtf.rtflib.rtfdoc
Class RtfListTable

    java.lang.Object
      org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement
          org.apache.fop.render.rtf.rtflib.rtfdoc.RtfContainer
              org.apache.fop.render.rtf.rtflib.rtfdoc.RtfListTable

    public class RtfListTable

extends RtfContainer

RtfListTable: used to make the list table in the header section of the RtfFile. This is the method that Word uses to make lists in RTF and the way most RTF readers, esp. Adobe FrameMaker read lists from RTF.

This work was authored by Christopher Scott (scottc@westinghouse.com).

Field Summary
`static java.lang.String` | `LIST` constant for a list
`static java.lang.String` | `LIST_FOLLOWING_CHAR` constant for list following character
`static java.lang.String` | `LIST_FONT_TYPE` constant for list font type
`static java.lang.String` | `LIST_ID` constant for list ID
`static java.lang.String` | `LIST_INDENT` constant for list indentation
`static java.lang.String` | `LIST_JUSTIFICATION` constant for a list justification
`static java.lang.String` | `LIST_LEVEL` constant for a list level
`static java.lang.String` | `LIST_NAME` constant for list name
`static java.lang.String` | `LIST_NUM_POSITION` constant for list number positioning
`static java.lang.String` | `LIST_NUMBER` constant for list number
`static java.lang.String` | `LIST_NUMBER_TYPE` constant for a list number type
`static java.lang.String` | `LIST_OVR` constant for list override
`static java.lang.String` | `LIST_OVR_COUNT` constant for list override count
`static java.lang.String` | `LIST_OVR_TABLE` constant for list override table
`static java.lang.String` | `LIST_SPACE` constant for list space
`static java.lang.String` | `LIST_START_AT` constant for list start at
`static java.lang.String` | `LIST_TABLE` constant for a list table
`static java.lang.String[]` | `LIST_TABLE_ATTR` String array of list table attributes
`static java.lang.String` | `LIST_TEMPLATE_ID` constant for a list template id
`static java.lang.String` | `LIST_TEXT_FORM` constant for list text format

Fields inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement
`attrib, parent, writer`

Constructor Summary
`RtfListTable(RtfContainer parent, java.io.Writer w, java.lang.Integer num, RtfAttributes attrs)` RtfListTable Constructor: sets the number of the list, and allocates for the RtfAttributes

Method Summary
`int` | `addList(RtfList list)` Add List
`int` | `addRtfListStyle(RtfListStyle ls)` Add list style
`boolean` | `isEmpty()` Since this has no text content we have to overwrite isEmpty to print the table
`void` | `writeRtfContent()` Write the content

Methods inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfContainer
`addChild, findChildren, getChildCount, getChildren, okToWriteRtf, setChildren, setOptions, toString`

Methods inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement
`close, getParentOfClass, getRtfAttributes, newLine, writeAttributes, writeControlWord, writeControlWordNS, writeExceptionInRtf, writeGroupMark, writeOneAttribute, writeOneAttributeNS, writeRtf, writeRtfPrefix, writeRtfSuffix, writeStarControlWord, writeStarControlWordNS`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LIST_TABLE

    public static final java.lang.String LIST_TABLE

  constant for a list table

  See Also:
    Constant Field Values

### LIST

    public static final java.lang.String LIST

  constant for a list

  See Also:
    Constant Field Values

### LIST_TEMPLATE_ID

    public static final java.lang.String LIST_TEMPLATE_ID

  constant for a list template id

  See Also:
    Constant Field Values

### LIST_LEVEL

    public static final java.lang.String LIST_LEVEL

  constant for a list level

  See Also:
    Constant Field Values

### LIST_NUMBER_TYPE

    public static final java.lang.String LIST_NUMBER_TYPE

  constant for a list number type

  See Also:
    Constant Field Values

### LIST_JUSTIFICATION

    public static final java.lang.String LIST_JUSTIFICATION

  constant for a list justification

  See Also:
    Constant Field Values

### LIST_FOLLOWING_CHAR

    public static final java.lang.String LIST_FOLLOWING_CHAR

  constant for list following character

  See Also:
    Constant Field Values

### LIST_START_AT

    public static final java.lang.String LIST_START_AT

  constant for list start at

  See Also:
    Constant Field Values

### LIST_SPACE

    public static final java.lang.String LIST_SPACE

  constant for list space

  See Also:
    Constant Field Values

### LIST_INDENT

    public static final java.lang.String LIST_INDENT

  constant for list indentation

  See Also:
    Constant Field Values

### LIST_TEXT_FORM

    public static final java.lang.String LIST_TEXT_FORM

  constant for list text format

  See Also:
    Constant Field Values

### LIST_NUM_POSITION

    public static final java.lang.String LIST_NUM_POSITION

  constant for list number positioning

  See Also:
    Constant Field Values

### LIST_NAME

    public static final java.lang.String LIST_NAME

  constant for list name

  See Also:
    Constant Field Values

### LIST_ID

    public static final java.lang.String LIST_ID

  constant for list ID

  See Also:
    Constant Field Values

### LIST_FONT_TYPE

    public static final java.lang.String LIST_FONT_TYPE

  constant for list font type

  See Also:
    Constant Field Values

### LIST_OVR_TABLE

    public static final java.lang.String LIST_OVR_TABLE

  constant for list override table

  See Also:
    Constant Field Values

### LIST_OVR

    public static final java.lang.String LIST_OVR

  constant for list override

  See Also:
    Constant Field Values

### LIST_OVR_COUNT

    public static final java.lang.String LIST_OVR_COUNT

  constant for list override count

  See Also:
    Constant Field Values

### LIST_NUMBER

    public static final java.lang.String LIST_NUMBER

  constant for list number

  See Also:
    Constant Field Values

### LIST_TABLE_ATTR

    public static final java.lang.String[] LIST_TABLE_ATTR

  String array of list table attributes

Constructor Detail

### RtfListTable

    public RtfListTable(RtfContainer parent,
                        java.io.Writer w,
                        java.lang.Integer num,
                        RtfAttributes attrs)
                 throws java.io.IOException

  RtfListTable Constructor: sets the number of the list, and allocates for the RtfAttributes

  Parameters:
    `parent` - RtfContainer holding this RtfListTable
    `w` - Writer
    `num` - number of the list in the document
    `attrs` - attributes of new RtfListTable
  Throws:
    `java.io.IOException` - for I/O problems

Method Detail

### addList

    public int addList(RtfList list)

  Add List

  Parameters:
    `list` - RtfList to add
  Returns:
    number of lists in the table after adding

### writeRtfContent

    public void writeRtfContent()
                         throws java.io.IOException

  Write the content

  Overrides:
    `writeRtfContent` in class `RtfContainer`
  Throws:
    `java.io.IOException` - for I/O problems

### isEmpty

    public boolean isEmpty()

  Since this has no text content we have to overwrite isEmpty to print the table

  Overrides:
    `isEmpty` in class `RtfContainer`
  Returns:
    false (always)

### addRtfListStyle

    public int addRtfListStyle(RtfListStyle ls)

  Add list style

  Parameters:
    `ls` - ListStyle to set
  Returns:
    number of styles after adding

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.